import { Datecompare } from '@/components/Common-Library'

export default fieldSet = {
    rejameflg:[
            {type:'string'},{ required: true, message: '必输项' }
    ],
    rejamersn:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(source.rejameflg == 'RJCT' && !value){
                callback("拒绝修改时必填")
              }else{
                return true
              }
            }}
    ],
    accusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\accusr    客户经理 
    ],
    lcref:[
            {type:'string',max:35,message:'长度不能超过35个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\ownref    业务编号 
    ],
    rejflg:[
            {type:'string'},{ required: true, message: '必输项' }     // \dedgrp\rec\rejflg    拒绝标识
    ],
    rejrsn:[
            {type:'string',max:40,message:'长度不能超过40个字符'},
            {validator(rule,value,callback,source,options){
              if(source.rejflg == "T"){
                if(!value){
                  callback('拒绝通知时必填');
                }else{
                  return true;
                }
              }else{
                return true
              }
            }}
            // \dedgrp\rec\rejrsn    拒绝通知理由 
    ],
    amedat:[
            {type:'string'},  // \dedgrp\rec\amedat    最后修改日期 
    ],
    amenbr:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \dedgrp\rec\amenbr    修改次数 
    ],
    avbby:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\avbby    信用证对付方式 
    ],
    cfmflg:[
            {type:'string'},  // \dedgrp\rec\cfmflg    保兑标志 
    ],
    conamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \dedgrp\rec\conamt    合同金额 
    ],
    concur:[
            {type:'string'},  // \dedgrp\rec\concur    合同币种 
    ],
    conno:[
            {type:'string',max:35,message:'长度不能超过35个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\conno    合同编号 
    ],
    defdet:[
            {type:'string',max:60,message:'长度不能超过60个字符'},
            {validator(rule,value,callback,source,options){
							if(source.avbby=='USNC' && !value){
								callback('远期付款时必填');
							}else{
								return true;
							}
						}}
            // \dedgrp\rec\defdet    远期付款指示 
    ],
    expdat:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                let res1 = Datecompare( source.opndat, source.expdat )
                let res2 = Datecompare( source.shpdat, source.expdat )
                if(source.opndat && res1 == 1){
                  callback('不得小于开立日期');
                }else if(source.shpdat && res2 == 1 ){
                  callback("不得小于最迟装运日期")
                }else{
                  return true;
                }
              }else{
                callback("必输项")
              }
						}}
            // \dedgrp\rec\expdat    有效日期 
    ],
    expplc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\expplc    有效地点 
    ],
    isstyp:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\isstyp    开证类型 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \dedgrp\rec\nam    概要描述 
    ],
    negflg:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\negflg    是否可议付 
    ],
    nomton:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\nomton    下浮 
    ],
    nomtop:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\nomtop    上浮 
    ],
    opndat:[
            {type:'string'},  // \dedgrp\rec\opndat    开立日期 
    ],
    ownbch:[
            {type:'string'},  // \dedgrp\rec\ownbch    归属机构 
    ],
    ownref:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \dedgrp\rec\ownref    业务编号 
    ],
    preper:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }   // \dedgrp\rec\preper    交单期限 
    ],
    shpdat:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                let res = Datecompare( source.expdat, source.shpdat )
                if(source.expdat && res == -1){
                  callback('不得大于有效日期');
                }else{
                  return true;
                }
              }else{
                callback("必输项")
              }
						}}
            // \dedgrp\rec\shpdat    最迟货物装运/服务提供日期  
    ],
    shpfro:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\shpfro    货物装运地(港) 
    ],
    shppar:[
            {type:'string'},{required:true,message:"必输项"}  // \dedgrp\rec\shppar    分批装运货物/分次提供服务 
    ],
    shpper:[
            {type:'string'},{required:true,message:"必输项"}  // \dedgrp\rec\shpper    分期装运/提供服务 
    ],
    shppro:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\shppro    服务提供地点 
    ],
    shpto:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\shpto    货物目的地、交货地（港） 
    ],
    shptrs:[
            {type:'string'},  // \dedgrp\rec\shptrs    转运 
    ],
    tenmaxday:[
            {type:'string',max:3,message:'长度不能超过3个字符'},
            {validator(rule,value,callback,source,options){
							if(source.avbby=='USNC' && (value<=0 || value=='')){
								callback('远期付款时必填');
							}else{
								return true;
							}
						}}
            // \dedgrp\rec\tenmaxday    期限 
    ],
    traflg:[
            {type:'string'},  // \dedgrp\rec\traflg    是否可转让 
    ],
    tratyp:[
            {type:'string',max:20,message:'长度不能超过20个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\tratyp    货物运输或交货方式/服务方式 
    ],
    trdapt:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\trdapt    分期装运/提供服务约定 
    ],
    trdtyp:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\trdtyp    贸易方式 
    ],
    adlcnd:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\adlcnd    附加条款 
    ],
    adlcnd1:[
        {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\adlcnd    附加条款 
],
    adlcndame1:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\adlcndame    附加条款历史修改记录 
    ],
    expdat1:[
            {type:'string'},  // \olddedgrp\rec\expdat    有效日期 
    ],
    expplc1:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \olddedgrp\rec\expplc    有效地点 
    ],
    lcrdoc:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\lcrdoc    单据要求 
    ],
    lcrdoc1:[
        {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\lcrdoc    单据要求 
],
    
    lcrdocame1:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\lcrdocame    单据要求历史修改记录 
    ],
    lcrgod:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\lcrgod    货物服务描述 
    ],
    lcrgod1:[
        {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\lcrgod    货物服务描述 
],
    lcrgod1ame:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \olddedgrp\rec\lcrgodame    货物/服务描述修改记录 
    ],
    nomton1:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \olddedgrp\rec\nomton    下浮 
    ],
    nomtop1:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \olddedgrp\rec\nomtop    上浮 
    ],
    shpdat1:[
            {type:'string'},  // \olddedgrp\rec\shpdat    最迟货物装运/服务提供日期  
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\a2b\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},
            {validator(rule,value,callback,source,options){
              if(source.traflg=='TRUE' && !value){
                callback('可转让时必填');
              }else{
                return true;
              }
						}}
            // \dedgrp\a2b\pts\extkey    客户编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},
            {validator(rule,value,callback,source,options){
              if(source.traflg=='TRUE' && !value){
                callback('可转让时必填');
              }else{
                return true;
              }
						}}
            // \dedgrp\a2b\pts\namcn    客户中文名称 
    ],
    pts1_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},    // \dedgrp\age\pts\adrcn    中文地址 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},
            {validator(rule,value,callback,source,options){
              if(source.isstyp=='AGIS' && !value){
                callback('他行开证时必填');
              }else{
                return true;
              }
						}}
            // \dedgrp\age\pts\extkey    客户编号 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},
            {validator(rule,value,callback,source,options){
              if(source.isstyp=='AGIS' && !value){
                callback('他行开证时必填');
              }else{
                return true;
              }
						}}
            // \dedgrp\age\pts\namcn    客户中文名称 
    ],
    pts2_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\apl\pts\adrcn    中文地址 
    ],
    pts2_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \dedgrp\apl\pts\extact    结算账号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{ required: true, message: '必输项' }  // \dedgrp\apl\pts\extkey    客户编号 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\apl\pts\namcn    客户中文名称 
    ],
    pts3_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\ben\pts\adrcn    中文地址 
    ],
    pts3_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \dedgrp\ben\pts\extact    结算账号 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{ required: true, message: '必输项' }  // \dedgrp\ben\pts\extkey    客户编号 
    ],
    pts3_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\ben\pts\namcn    客户中文名称 
    ],
    max_amt:[
            {type:'string'},  // \dedgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string'},  // \dedgrp\cbs\max\cur    Currency 
    ],
    nom1_amt:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                if(value <= 0){
                  callback("金额不可为 0")
                }else{
                  return true
                }
              }else{
                callback("必输项");
              }
            }}
            // \dedgrp\cbs\nom1\amt    Balance 
    ],
    nom1_cur:[
            {type:'string'},  // \dedgrp\cbs\nom1\cur    Currency 
    ],
    pts4_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'}, // \dedgrp\con\pts\adrcn    中文地址 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},
            {validator(rule,value,callback,source,options){
              if(source.cfmflg=='TRUE' && !value){
                callback('可保兑时必填');
              }else{
                return true;
              }
						}}
            // \dedgrp\con\pts\extkey    客户编号 
    ],
    pts4_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},
            {validator(rule,value,callback,source,options){
              if(source.cfmflg=='TRUE' && !value){
                callback('可保兑时必填');
              }else{
                return true;
              }
						}}
            // \dedgrp\con\pts\namcn    客户中文名称 
    ],
    pts5_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\iss\pts\adrcn    中文地址 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{ required: true, message: '必输项' }  // \dedgrp\iss\pts\extkey    客户编号 
    ],
    pts5_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\iss\pts\namcn    客户中文名称 
    ],
    pts6_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'}, // \dedgrp\neg\pts\adrcn    中文地址 
    ],
    pts6_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},
            {validator(rule,value,callback,source,options){
              if(source.negflg=='DSIG' && !value){
                callback('指定银行时必填');
              }else{
                return true;
              }
            }}
            // \dedgrp\neg\pts\extkey    客户编号 
    ],
    pts6_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},
            {validator(rule,value,callback,source,options){
              if(source.negflg=='DSIG' && !value){
                callback('指定银行时必填');
              }else{
                return true;
              }
            }}
            // \dedgrp\neg\pts\namcn    客户中文名称 
    ],
    detamep_engamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \detamep\engamt    change of engagement: 
    ],
    detamep_engcur:[
            {type:'string'},  // \detamep\engcur    Engagement Currency 
    ],
    detamep_maxamt:[
            {type:'string'},  // \detamep\maxamt    New Maximum Amount 
    ],
    detamep_maxcur:[
            {type:'string'},  // \detamep\maxcur    Currency of Maximum Amount 
    ],
    max1_amt:[
            {type:'string'},  // \olddedgrp\cbs\max\amt    Balance 
    ],
    max1_cur:[
            {type:'string'},  // \olddedgrp\cbs\max\cur    Currency 
    ],
    nom11_amt:[
            {type:'string'},  // \olddedgrp\cbs\nom1\amt    Balance 
    ],
    nom11_cur:[
            {type:'string'},  // \olddedgrp\cbs\nom1\cur    Currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
//     swiadd_adlcnd:[
//             {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \trnmod\swiadd\adlcnd    Additional Conditions amendment 
//     ],
//     swiadd_lcrdoc:[
//             {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \trnmod\swiadd\lcrdoc    Documents Required amendment 
//     ],
//     swiadd_lcrgod:[
//             {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \trnmod\swiadd\lcrgod    Description of Goods amendment 
//     ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}